/***************
 * LOCAL STUFF:
*/
#ifndef		RANDOM_H__LOCAL
#define		RANDOM_H__LOCAL


#include	<stdio.h>
#include	<math.h>

#include	"SAtypedef.h"

void	SA_InitRandomGenerator(ul_int *, FILE *, FILE *);
void	SA_RMARIN(ul_int);
void	SA_RSTART(u_int, u_int, u_int, u_int);
void	SA_UNI(double *);
void	SA_NearStandardGauss6(double *, double *);
void	SA_NearStandardGauss0(double *,	double*);
void	SA_StandardGauss0(double *, double *, double *);


#endif





/***************
 * PUBLIC STUFF:
*/
#ifndef		RANDOM_H__PUBLIC
#define		RANDOM_H__PUBLIC



struct	RANDOM_GENERATOR_GLOBALS {
	double   U [97];
	double   C;
	double	 CD;
	double	 CM;
	unsigned IP;
	unsigned JP;
};

#define	MANTISSA_BITCOUNT	24
#define RANDOM_BOUND_DOUBLE(Bound, RandomFraction)      \
(                                                       \
 (SA_UNI(RandomFraction), *(RandomFraction)) * (Bound)  \
)



#endif
