function [z]=Display()

fset = figure(1);
set(fset, 'Position',  [258 61 880 795])

load Heat.out
load Accept.out
load Func.out
load Work.out
load Mean.out
load Temp.out
load Eval.out

subplot(4,2,1)
plot(Func)
title('Best ever')

subplot(4,2,2)
plot(Mean(:,1))
title('Mean')
 
subplot(4,2,3)
plot(Temp)
title('Temperature')

subplot(4,2,4)
plot(Accept)
title('Acceptance ratio')

subplot(4,2,5)
plot(Heat(:,1))
title('Specific Heat')

subplot(4,2,6)
plot(Eval(:,4))
title('Cum. #function evaluations')

subplot(4,2,7)
plot(Work(:,1))
title('Work non-equilibrium')

subplot(4,2,8)
plot(Work(:,2))
title('Work Equilibrium')





